Subject: Re: [PATCH net v2] net/rds: rds_sendmsg should not discard payload_len

From: Jakub Kicinski <[email-masked]>
Date: Thu, 12 Feb 2026 19:05:34 -0800

On Tue, 10 Feb 2026 10:09:52 -0700 Allison Henderson wrote:
> Commit 3db6e0d172c9 ("rds: use RCU to synchronize work-enqueue with
> connection teardown") modifies rds_sendmsg to avoid enqueueing work
> while a tear down is in progress. However, it also changed the return
> value of rds_sendmsg to that of rds_send_xmit instead of the
> payload_len. This means the user may incorrectly receive errno values
> when it should have simply received a payload of 0 while the peer
> attempts a reconnections.  So this patch corrects the teardown handling
> code to only use the out error path in that case, thus restoring the
> original payload_len return value.

net-next now became net so this no longer applies.
Please rebase?
-- 
pw-bot: cr